[dpdk-dev] [PATCH v2] devtools: check wrong svg include in guides

Arnon Warshavsky arnon at qwilt.com
Thu Nov 1 07:45:32 CET 2018


Hi

>PS: the warning contains the regex. May it be improved?

How about passing an explicit warning message to the awk instead of the
regex?

+++ b/devtools/check-forbidden-tokens.awk
 END {
        if (count > 0) {
                print "Warning in " substr(last_file,6) ":"
-               print "are you sure you want to add the following:"
-               for (key in expressions) {
-                       if (expressions[key] > 0) {
-                               print key
-                       }
-               }
+               print MESSAGE
                exit RET_ON_FAIL
        }
 }

+++ b/devtools/checkpatches.sh
-check_forbidden_additions() {
+check_forbidden_additions() { # <patch>
+       local ret=0
        # refrain from new additions of rte_panic() and rte_exit()
        # multiple folders and expressions are separated by spaces
        awk -v FOLDERS="lib drivers" \
                -v EXPRESSIONS="rte_panic\\\( rte_exit\\\(" \
                -v RET_ON_FAIL=1 \
-               -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk -
+               -v MESSAGE='Usage of rte_panic/rte_exit' \
+               -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk \
+               "$1"
+       if [ $? -ne 0 ] ; then
+                ret=1
+       fi
+       # svg figures must be included with wildcard extension
+       # because of png conversion for pdf docs
+       awk -v FOLDERS='doc' \
+               -v EXPRESSIONS='::[[:space:]]*[^[:space:]]*\\.svg' \
+               -v RET_ON_FAIL=1 \
+               -v MESSAGE='Using explicit .svg extention in figures
instead of .*' \
+               -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk \
+               "$1"
+       if [ $? -ne 0 ] ; then
+                ret=1
+       fi
+
+       return $ret
 }


I also noticed that there is a need to keep the return value from each
check in case the first fails and the latter succeeds


thanks
/Arnon

On Wed, Oct 31, 2018 at 6:28 PM, Thomas Monjalon <thomas at monjalon.net>
wrote:

> Including svg files with the svg extension is a common mistake:
>         .. figure:: example.svg
> must be
>         .. figure:: example.*
> So it will work also when building pdf doc with figures converted
> to png files.
>
> A check is added in checkpatches.sh.
>
> Signed-off-by: Thomas Monjalon <thomas at monjalon.net>
> Signed-off-by: Arnon Warshavsky <arnon at qwilt.com>
>
> PS: the warning contains the regex. May it be improved?
>
> Warning in /doc/guides/nics/mvpp2.rst:
> are you sure you want to add the following:
> ::[[:space:]]*[^[:space:]]*\.svg
>
> Cc: Arnon Warshavsky <arnon at qwilt.com>
> ---
>  devtools/checkpatches.sh | 14 +++++++++++---
>  1 file changed, 11 insertions(+), 3 deletions(-)
>
> diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
> index bf3114f95..fb9e9f76d 100755
> --- a/devtools/checkpatches.sh
> +++ b/devtools/checkpatches.sh
> @@ -43,13 +43,21 @@ print_usage () {
>         END_OF_HELP
>  }
>
> -check_forbidden_additions() {
> +check_forbidden_additions() { # <patch>
>         # refrain from new additions of rte_panic() and rte_exit()
>         # multiple folders and expressions are separated by spaces
>         awk -v FOLDERS="lib drivers" \
>                 -v EXPRESSIONS="rte_panic\\\( rte_exit\\\(" \
>                 -v RET_ON_FAIL=1 \
> -               -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
> -
> +               -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
> \
> +               "$1"
> +       # svg figures must be included with wildcard extension
> +       # because of png conversion for pdf docs
> +       awk -v FOLDERS='doc' \
> +               -v EXPRESSIONS='::[[:space:]]*[^[:space:]]*\\.svg' \
> +               -v RET_ON_FAIL=1 \
> +               -f $(dirname $(readlink -e $0))/check-forbidden-tokens.awk
> \
> +               "$1"
>  }
>
>  number=0
> @@ -115,7 +123,7 @@ check () { # <patch> <commit> <title>
>         fi
>
>         ! $verbose || printf '\nChecking forbidden tokens additions:\n'
> -       report=$(check_forbidden_additions <"$tmpinput")
> +       report=$(check_forbidden_additions "$tmpinput")
>         if [ $? -ne 0 ] ; then
>                 $headline_printed || print_headline "$3"
>                 printf '%s\n' "$report"
> --
> 2.19.0
>
>


-- 

*Arnon Warshavsky*
*Qwilt | work: +972-72-2221634 | mobile: +972-50-8583058 | arnon at qwilt.com
<arnon at qwilt.com>*


More information about the dev mailing list